🚀 Introducing Agent Gateway — governance, observability, and control for your AI agents.  Register for live webinar ↗
curl https://api.portkey.ai/v1/threads/thread_abc123/runs/run_abc123/steps \
-H "x-portkey-api-key: $PORTKEY_API_KEY" \
-H "x-portkey-virtual-key: $PORTKEY_PROVIDER_VIRTUAL_KEY" \
-H "Content-Type: application/json" \
-H "OpenAI-Beta: assistants=v2"{
"object": "list",
"data": [
{
"id": "<string>",
"object": "thread.run.step",
"created_at": 123,
"assistant_id": "<string>",
"thread_id": "<string>",
"run_id": "<string>",
"type": "message_creation",
"status": "in_progress",
"step_details": {
"type": "message_creation",
"message_creation": {
"message_id": "<string>"
}
},
"last_error": {
"code": "server_error",
"message": "<string>"
},
"expired_at": 123,
"cancelled_at": 123,
"failed_at": 123,
"completed_at": 123,
"metadata": {},
"usage": {
"completion_tokens": 123,
"prompt_tokens": 123,
"total_tokens": 123
}
}
],
"first_id": "step_abc123",
"last_id": "step_abc456",
"has_more": false
}curl https://api.portkey.ai/v1/threads/thread_abc123/runs/run_abc123/steps \
-H "x-portkey-api-key: $PORTKEY_API_KEY" \
-H "x-portkey-virtual-key: $PORTKEY_PROVIDER_VIRTUAL_KEY" \
-H "Content-Type: application/json" \
-H "OpenAI-Beta: assistants=v2"{
"object": "list",
"data": [
{
"id": "<string>",
"object": "thread.run.step",
"created_at": 123,
"assistant_id": "<string>",
"thread_id": "<string>",
"run_id": "<string>",
"type": "message_creation",
"status": "in_progress",
"step_details": {
"type": "message_creation",
"message_creation": {
"message_id": "<string>"
}
},
"last_error": {
"code": "server_error",
"message": "<string>"
},
"expired_at": 123,
"cancelled_at": 123,
"failed_at": 123,
"completed_at": 123,
"metadata": {},
"usage": {
"completion_tokens": 123,
"prompt_tokens": 123,
"total_tokens": 123
}
}
],
"first_id": "step_abc123",
"last_id": "step_abc456",
"has_more": false
}Documentation Index
Fetch the complete documentation index at: https://docs.portkey.ai/docs/llms.txt
Use this file to discover all available pages before exploring further.
The ID of the thread the run and run steps belong to.
The ID of the run the run steps belong to.
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.
Sort order by the created_at timestamp of the objects. asc for ascending order and desc for descending order.
asc, desc A cursor for use in pagination. after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list.
A cursor for use in pagination. before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include before=obj_foo in order to fetch the previous page of the list.
Was this page helpful?